XkbFreeKeyboard(3)

NAME
XkbFreeKeyboard - Destroys either an entire XkbDescRec or just some of its members

SYNOPSIS
void XkbFreeKeyboard ( xkb, which, free_all )
      XkbDescPtr xkb;
      unsigned int which;
      Bool free_all;

ARGUMENTS

xkb keyboard description with components to free

which
    mask selecting components to free

free_all
    True => free all components and xkb

DESCRIPTION

XkbFreeKeyboard frees the components of xkb specified by which and sets the corresponding values to NULL. If free_all is True, XkbFreeKeyboard frees every non-NULL component of xkb and then frees the xkb structure itself.